List Invoices
/unified/accounting/invoices
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
1 supported
The type of the invoice
billinvoice
8 supported4 required
The contact for whom the invoice is raised.
8 supported
The unique identifier for the contact
The name of the contact
The type of the contact - vendor or customer.
The type of the invoice
billinvoice
2 supported1 required
This represents the date when the invoice was created
7 supported
This represents the date when the invoice was updated
8 supported
The number of the invoice
9 supported
The currency of the invoice
8 supported
The status of the invoice
authoriseddeleteddraftpaidsubmittedvoided
7 supported
This should only accept items in ascending order.
balancecreated_atdue_dateissue_datesub_total
1 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Invoices
The unique identifier for invoices
9 supported
The remaining balance of the invoice
6 supported
The company the invoice belongs to
3 supported
The contact for whom the invoice is raised.
8 supported
3 properties
The unique identifier for the contact
The name of the contact
The type of the contact - vendor or customer.
This represents the date when the invoice was created
7 supported
The currency of the invoice
8 supported
The due date of the invoice
8 supported
The exchange rate of the invoice
6 supported
The issue date of the invoice
7 supported
The line items of the invoice
5 supported
13 properties
The ID of the account
The currency of the line item
The description of the line item
The exchange rate of the currency for the line item
The unique identifier for line item
The ID of the item
The name of the line item
The quantity of the line item
The ID of the tax rate
The total line amount of the line item.
Tracking categories of the line item
3 properties
The ID of the tracking category
The name of the tracking category
The option of the tracking category
The type of the line item
The unit price of the line item
The private note of the invoice
4 supported
The number of the invoice
9 supported
The paid on date of the invoice
2 supported
List of payment IDs associated with the invoice
2 supported
Raw data returned from the remote API call.
The status of the invoice
draftsubmitteddeletedauthorisedpaidvoided
7 supported
The sub total of the invoice
8 supported
The total discount of the invoice
3 supported
The total tax amount of the invoice
5 supported
Tracking categories of the invoices
2 supported
3 properties
The ID of the tracking category
The name of the tracking category
The option of the tracking category
The type of the invoice
billinvoice
8 supported
This represents the date when the invoice was updated
8 supported
curl -X GET 'https://api.truto.one/unified/accounting/invoices?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/accounting/invoices?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/accounting/invoices"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'accounting',
'invoices',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"accounting",
"invoices",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())